#include <bits/stdc++.h>
#include "partition.h"
using namespace std;
vector<int> solve(vector<int> A) {
	int n=A.size();
	int sum=0;
	vector<int>ans;
	ans.push_back(0);
	ans.push_back(n-1);
	for(int i=1; i<n-1; i++){
		ans.push_back(i);
	}
	return ans;
//	vector<pair<int,int>>B(n);
//	for(int i=0; i<n; i++){
//		sum+=A[i];
//		B[i].first=A[i];
//		B[i].second=i;
//	}
//	sort(b.begin(),b.end());
//	int dp[sum];
//	fill(dp,dp+sum,0);
//	dp[0]=1;
//	for(int i=0; i<n; i++){
//		for(int j=sum; j>=B[i].first; j--){
//			dp[j]=dp[j-B[i].first];
//		}
//	}
//	int k=-1;
//	int sx=1e18;
//	for(int i=1; i<=sum; i++){
//		if(dp[i]==1){
//			if(abs(sum-i)<sx){
//				sx=abs(sum-i);
//				k=i;
//			}
//		}
//	}
	
}